=== debian/changelog ===
klapki (0.1.0-1) unstable; urgency=medium

  * Initial packaging, upstream version 0.1.0

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 26 Sep 2020 14:49:11 +0200
