=== debian/control ===
Source: klapki
Section: admin
Priority: optional
Maintainer: наб <nabijaczleweli@nabijaczleweli.xyz>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://git.sr.ht/~nabijaczleweli/klapki.deb
Vcs-Browser: https://git.sr.ht/~nabijaczleweli/klapki.deb
Homepage: https://sr.ht/~nabijaczleweli/klapki.deb
Build-Depends: debhelper,
               debhelper-compat (= 13),
               libfmt-dev,
               libssl-dev,
               libefivar-dev,
               libefiboot-dev,
               ronn (>= 0.9.0),
#              ^ ronn before that fails with regex+locale related errors
               locales,
#              ^ we need to generate some locales for ronn

Package: klapki
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Tag: implemented-in::c++, admin::boot, interface::commandline, role::program,
 scope::utility
Description: EFI boot manager; or, well, an EFI bootorder compiler.
 klapki(8) generates and manages EFI boot entries on compatible platforms,
 with minimal state and no EFI-side code.
 .
 This package also provides integration with the standard Debian bootloader
 hooks.
