## klapki 0.1.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 TEST_SOURCES := $(sort $(wildcard $(TSTDIR)*.cpp $(TSTDIR)**/*.cpp $(TSTDIR)**/**/*.cpp $(TSTDIR)**/**/**/*.cpp))
 MANPAGE_SOURCES := $(sort $(wildcard $(MANDIR)*.md $(MANDIR)**/*.md))
 
-# Building with -flto on Clang means we can't make useful $(ARCH)es, so don't
+# Building with -flto on Clang means we can't make useful archives, so don't
 LIBFMT := $(patsubst ext/fmt/src/%.cc,$(BLDDIR)fmt/obj/%$(OBJ),$(wildcard ext/fmt/src/*.cc))
 
 
@@ -62,8 +62,8 @@
 $(subst $(MANDIR),$(OUTDIR)man/,$(MANPAGE_SOURCES)) : $(MANDIR)index.txt $(MANPAGE_SOURCES)
 	@rm -rf $(dir $@) && mkdir -p $(dir $@)
 	cp $^ $(dir $@)
-	ronn $@
-	ronn -f $@
+	ronn --organization="klapki developers"    $@
+	ronn --organization="klapki developers" -f $@
 
 
 $(OBJDIR)%$(OBJ) : $(SRCDIR)%.cpp
