=== debian/changelog ===
klapki (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1
  * Use upstream makefile to build manpages
  * Include screenshot in /usr/share/doc/klapki

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 26 Feb 2021 19:20:25 +0100

klapki (0.1.0-3) unstable; urgency=medium

  * Fix upstream homepage link
  * Split debconf into config script
  * Use po-debconf for translations
  * Fix interface assumptions in templates
  * Don't overwrite user's /etc/klapki/cmdline on first install, if any

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 04 Oct 2020 19:43:05 +0200

klapki (0.1.0-2) unstable; urgency=medium

  * Handle left-over boot entries better in postrm

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 26 Sep 2020 21:39:15 +0200
