=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Rules-Requires-Root: no
 Vcs-Git: https://git.sr.ht/~nabijaczleweli/klapki.deb
 Vcs-Browser: https://git.sr.ht/~nabijaczleweli/klapki.deb
-Homepage: https://sr.ht/~nabijaczleweli/klapki.deb
+Homepage: https://sr.ht/~nabijaczleweli/klapki
 Build-Depends: debhelper,
                debhelper-compat (= 13),
+               po-debconf,
                libfmt-dev,
                libssl-dev,
                libefivar-dev,
