=== debian/rules ===
--- 
+++ 
@@ -13,18 +13,16 @@
 override_dh_auto_build:
 	mkdir -p $(TEMPDIR)
 	localedef -i en_GB -c -f UTF-8 -A /usr/share/locale/locale.alias $(TEMPDIR)en_GB.UTF-8
-	LOCPATH="$(TEMPDIR)" LC_CTYPE="en_GB.UTF-8" ronn -r --organization="klapki developers" man/*.md
-	$(MAKE) build STRIP="echo > /dev/null" CXX="$(CXX)" OS_LD_LIBS="fmt"
+	LOCPATH="$(TEMPDIR)" LC_CTYPE="en_GB.UTF-8" $(MAKE) build man CXX="$(CXX)" OS_LD_LIBS="fmt"
 
 # We don't include Catch2, so no tests for us
 override_dh_auto_test:
 
 override_dh_auto_clean:
-	rm -f $(wildcard man/*.8)
 	$(MAKE) clean
 
 override_dh_installdocs:
-	dh_installdocs $(wildcard TODO) README.md
+	dh_installdocs $(wildcard TODO) README.md screenshot.png
 
 override_dh_ucf:
 	dh_ucf -A
