## klapki 0.2.0

=== Makefile ===
--- 
+++ 
@@ -29,16 +29,17 @@
 VERAR := $(foreach l,KLAPKI,-D$(l)_VERSION='$($(l)_VERSION)')
 SOURCES := $(sort $(wildcard $(SRCDIR)*.cpp $(SRCDIR)**/*.cpp $(SRCDIR)**/**/*.cpp $(SRCDIR)**/**/**/*.cpp))
 TEST_SOURCES := $(sort $(wildcard $(TSTDIR)*.cpp $(TSTDIR)**/*.cpp $(TSTDIR)**/**/*.cpp $(TSTDIR)**/**/**/*.cpp))
-MANPAGE_SOURCES := $(sort $(wildcard $(MANDIR)*.md $(MANDIR)**/*.md))
+MANPAGES := $(subst man/,,$(wildcard man/*.8))
 
 # Building with -flto on Clang means we can't make useful archives, so don't
 LIBFMT := $(patsubst ext/fmt/src/%.cc,$(BLDDIR)fmt/obj/%$(OBJ),$(wildcard ext/fmt/src/*.cc))
 
 
-.PHONY : all clean build build-test man fmt
+.PHONY : all clean build build-test manpages htmlpages fmt
+.SECONDARY:
 
 
-all : fmt build man build-test test
+all : fmt build manpages htmlpages build-test test
 
 test: build-test
 	$(OUTDIR)klapki-test$(EXE)
@@ -48,7 +49,8 @@
 
 build : fmt $(OUTDIR)klapki$(EXE)
 build-test : fmt $(OUTDIR)klapki-test$(EXE)
-man : $(subst $(MANDIR),$(OUTDIR)man/,$(MANPAGE_SOURCES))
+manpages : $(patsubst %,$(OUTDIR)man/%,$(MANPAGES))
+htmlpages : $(patsubst %,$(OUTDIR)man/%.html,$(MANPAGES)) $(OUTDIR)man/style.css
 fmt : $(LIBFMT)
 
 
@@ -59,11 +61,23 @@
 $(OUTDIR)klapki-test$(EXE) : $(subst $(TSTDIR),$(BLDDIR)test/,$(subst .cpp,$(OBJ),$(TEST_SOURCES))) $(subst $(SRCDIR),$(OBJDIR),$(subst .cpp,$(OBJ),$(filter-out $(SRCDIR)main.cpp,$(SOURCES)))) $(patsubst ext/fmt/src/%.cc,$(BLDDIR)fmt/obj/%$(OBJ),$(wildcard ext/fmt/src/*.cc))
 	$(CXX) $(CXXAR) -o$@ $^ $(PIC) $(LDAR)
 
-$(subst $(MANDIR),$(OUTDIR)man/,$(MANPAGE_SOURCES)) : $(MANDIR)index.txt $(MANPAGE_SOURCES)
-	@rm -rf $(dir $@) && mkdir -p $(dir $@)
-	cp $^ $(dir $@)
-	ronn --organization="klapki developers"    $@
-	ronn --organization="klapki developers" -f $@
+# The d-v-o-s string starts at "BSD" (hence the "BSD General Commands Manual" default); we're not BSD, so hide it
+# Can't put it at the very top, since man(1) only loads mdoc *after* the first mdoc macro (.Dd in our case)
+$(OUTDIR)man/% : man/%
+	@mkdir -p $(dir $@)
+	awk '$$0 == ".Dd" {$$2 = "$(KLAPKI_DATE)"}  $$1 == ".Dt" { print ".ds doc-volume-operating-system" }  $$0 == ".Os" {$$2 = "klapki"; $$3 = $(KLAPKI_VERSION)}  {print}' $< > $@
+	! $(MANDOC) -Tlint $@ 2>&1 | grep -vE -e 'mandoc: outdated mandoc.db' -e 'STYLE: referenced manual not found' -e 'STYLE: input text line longer than 80 bytes:' -e 'STYLE: operating system explicitly specified: Os klapki'
+
+# https://manpages.debian.org/bullseye/SHA1.3ssl
+$(OUTDIR)man/%.html : $(OUTDIR)man/%
+	@mkdir -p $(dir $@)
+	$(MANDOC) -Thtml -Ostyle="style.css",man="https://manpages.debian.org/bullseye/%N.%S" $< | \
+		awk '/^<h1/ {in_syn = $$0 ~ /id="SYNOPSIS"/}  /^<br/ {if(in_syn) {print >"/dev/stderr"; next}}  {print}' | \
+		sed -Ee 's/ title=".."//g' -e 's/<a class="permalink" href="#([^"]*)"><span class="No" id="([^"]*)">/<a><span class="No">/g' > $@
+
+$(OUTDIR)man/style.css : man/style.css
+	@mkdir -p $(dir $@)
+	cp $^ $@
 
 
 $(OBJDIR)%$(OBJ) : $(SRCDIR)%.cpp
