=== debian/changelog ===
klapki (0.2.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 01 Dec 2021 00:35:25 +0100

klapki (0.2.0-1) unstable; urgency=medium

  * Fix undue error given when purging after /etc/klapki was removed
  * Simplify postinst script and hostid deduction
  * New upstream version 0.2.0
  * Replace ronn instrumentation with mandoc
  * Include all screenshots as documentation
  * Replace patch with setting KLAPKI_{VERSION,DATE} in d/rules
  * Add upstream changelog

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 01 Dec 2021 00:27:12 +0100
