## klapki 0.2.1

=== debian/changelog ===
klapki (0.2.1-1~bpo11) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 29 Oct 2022 22:14:15 +0200

klapki (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1
    - Drop -lfmt dependency injection, upstream depends on libfmt now
    - Build-depend on catch2 and run tests if !nocheck
  * Clean up default /e/k/description
  * Clear up d/klapki.postrm entries-left message
  * Predicate documentation generation and mandoc dependency on !nodoc
  * Add patch to use -lCatch2WithMain instead of building test/main.cpp
  * d/post-update.d: remove debug log if klapki not installed
  * d/klapki.postinst
    - protect first-install /e/k/cmdline against
       %c-like expansion with sh echo
    - also strip out '^\kernel-image' from autogenerated cmdline
    (reported by rozbrajaczpoziomow <rozbrajaczpoziomow@gmail.com>)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 29 Oct 2022 21:10:12 +0200
