=== debian/control ===
--- 
+++ 
@@ -9,15 +9,13 @@
 Homepage: https://sr.ht/~nabijaczleweli/klapki
 Build-Depends: debhelper,
                debhelper-compat (= 13),
+               mandoc <!nocheck>,
                po-debconf,
+               catch2 <!nocheck>,
                libfmt-dev,
                libssl-dev,
                libefivar-dev,
                libefiboot-dev,
-               ronn (>= 0.9.0),
-#              ^ ronn before that fails with regex+locale related errors
-               locales,
-#              ^ we need to generate some locales for ronn
 
 Package: klapki
 Architecture: linux-any
