=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

CXX := $(CXX) $(subst -O2,,$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get LDFLAGS))

targets := build
ifeq "$(filter nocheck,$(DEB_BUILD_PROFILES))" ""
targets += build-test
endif
ifeq "$(filter nodoc,$(DEB_BUILD_PROFILES))" ""
targets += manpages
endif


override_dh_auto_build:
	$(MAKE) $(targets) CXX="$(CXX)" KLAPKI_VERSION='"$(shell sed 's/^[^(]*(//;s/).*$$//;q' debian/changelog #))"' KLAPKI_DATE="$(shell awk '/^ -- / {sub(/^ -- .*>/, ""); sub(/^0/, "", $$2); print $$3 " " $$2 ", " $$4; exit}' debian/changelog | sed -E 's/Jan/&uary/;s/Feb/&ruary/;s/Mar/&ch/;s/Apr/&il/;s/Jun/&e/;s/Jul/&y/;s/Aug/&ust/;s/Sep/&tember/;s/Oct/&ober/;s/Nov|Dec/&ember/')"

override_dh_auto_test:
ifeq "$(filter nocheck,$(DEB_BUILD_PROFILES))" ""
	$(MAKE) test
endif

override_dh_auto_clean:
	$(MAKE) clean

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
ifeq "$(filter nodoc,$(DEB_BUILD_PROFILES))" ""
	dh_installdocs $(wildcard TODO) README.md $(wildcard screenshot*.png)
endif

override_dh_ucf:
	dh_ucf -A
	sed -i 's/\tucf /\tucf --debconf-ok /' $(foreach l,inst rm,debian/klapki.post$(l).debhelper)

%:
	dh $@
