## klapki 0.2.2

=== Makefile ===
--- 
+++ 
@@ -24,49 +24,45 @@
 
 
 LDDLLS := efivar efiboot crypto $(OS_LD_LIBS)
-LDAR := $(LNCXXAR) $(foreach l,,-L$(BLDDIR)$(l)) $(foreach dll,$(LDDLLS),-l$(dll))
-INCAR := $(foreach l,$(foreach l,fmt,$(l)/include) Catch2/single_include/catch2,-isystemext/$(l)) $(foreach l,,-isystem$(BLDDIR)$(l)/include) -isystemext
+LDAR := $(LNCXXAR) $(foreach dll,$(LDDLLS),-l$(dll)) $(shell { command -v pkg-config > /dev/null && pkg-config --libs fmt; } || echo -lfmt)
+INCAR := -isystemext $(shell for p in catch2 fmt; do pkg-config --cflags $p; done 2>/dev/null)
 VERAR := $(foreach l,KLAPKI,-D$(l)_VERSION='$($(l)_VERSION)')
 SOURCES := $(sort $(wildcard $(SRCDIR)*.cpp $(SRCDIR)**/*.cpp $(SRCDIR)**/**/*.cpp $(SRCDIR)**/**/**/*.cpp))
 TEST_SOURCES := $(sort $(wildcard $(TSTDIR)*.cpp $(TSTDIR)**/*.cpp $(TSTDIR)**/**/*.cpp $(TSTDIR)**/**/**/*.cpp))
 MANPAGES := $(subst man/,,$(wildcard man/*.8))
 
-# Building with -flto on Clang means we can't make useful archives, so don't
-LIBFMT := $(patsubst ext/fmt/src/%.cc,$(BLDDIR)fmt/obj/%$(OBJ),$(wildcard ext/fmt/src/*.cc))
 
-
-.PHONY : all clean build build-test manpages htmlpages fmt
+.PHONY : all clean build build-test manpages htmlpages
 .SECONDARY:
 
 
-all : fmt build manpages htmlpages build-test test
+all : build manpages htmlpages build-test test
 
 test: build-test
-	$(OUTDIR)klapki-test$(EXE)
+	$(OUTDIR)klapki-test
 
 clean :
 	rm -rf $(OUTDIR)
 
-build : fmt $(OUTDIR)klapki$(EXE)
-build-test : fmt $(OUTDIR)klapki-test$(EXE)
+build : $(OUTDIR)klapki
+build-test : $(OUTDIR)klapki-test
 manpages : $(patsubst %,$(OUTDIR)man/%,$(MANPAGES))
 htmlpages : $(patsubst %,$(OUTDIR)man/%.html,$(MANPAGES)) $(OUTDIR)man/style.css
-fmt : $(LIBFMT)
 
 
-$(OUTDIR)klapki$(EXE) : $(subst $(SRCDIR),$(OBJDIR),$(subst .cpp,$(OBJ),$(SOURCES))) $(LIBFMT)
-	$(CXX) $(CXXAR) -o$@ $^ $(PIC) $(LDAR)
+$(OUTDIR)klapki : $(subst $(SRCDIR),$(OBJDIR),$(subst .cpp,$(OBJ),$(SOURCES)))
+	$(CXX) $(CXXAR) -o$@ $^ $(LDAR)
 	$(STRIP) $(STRIPAR) $@
 
-$(OUTDIR)klapki-test$(EXE) : $(subst $(TSTDIR),$(BLDDIR)test/,$(subst .cpp,$(OBJ),$(TEST_SOURCES))) $(subst $(SRCDIR),$(OBJDIR),$(subst .cpp,$(OBJ),$(filter-out $(SRCDIR)main.cpp,$(SOURCES)))) $(patsubst ext/fmt/src/%.cc,$(BLDDIR)fmt/obj/%$(OBJ),$(wildcard ext/fmt/src/*.cc))
-	$(CXX) $(CXXAR) -o$@ $^ $(PIC) $(LDAR)
+$(OUTDIR)klapki-test : $(subst $(TSTDIR),$(BLDDIR)test/,$(subst .cpp,$(OBJ),$(TEST_SOURCES))) $(subst $(SRCDIR),$(OBJDIR),$(subst .cpp,$(OBJ),$(filter-out $(SRCDIR)main.cpp,$(SOURCES))))
+	$(CXX) $(CXXAR) -o$@ $^ $(LDAR)
 
 # The d-v-o-s string starts at "BSD" (hence the "BSD General Commands Manual" default); we're not BSD, so hide it
 # Can't put it at the very top, since man(1) only loads mdoc *after* the first mdoc macro (.Dd in our case)
 $(OUTDIR)man/% : man/%
 	@mkdir -p $(dir $@)
 	awk '$$0 == ".Dd" {$$2 = "$(KLAPKI_DATE)"}  $$1 == ".Dt" { print ".ds doc-volume-operating-system" }  $$0 == ".Os" {$$2 = "klapki"; $$3 = $(KLAPKI_VERSION)}  {print}' $< > $@
-	! $(MANDOC) -Tlint $@ 2>&1 | grep -vE -e 'mandoc: outdated mandoc.db' -e 'STYLE: referenced manual not found' -e 'STYLE: input text line longer than 80 bytes:' -e 'STYLE: operating system explicitly specified: Os klapki'
+	! $(MANDOC) -Tlint $@ 2>&1 | grep -vF -e 'mandoc: outdated mandoc.db' -e 'STYLE: referenced manual not found' -e 'STYLE: input text line longer than 80 bytes:' -e 'STYLE: operating system explicitly specified: Os klapki' -e 'STYLE: no blank before trailing delimiter: Pa /sys/\:firmware/\:efi/\:efivars/\:'
 
 # https://manpages.debian.org/bullseye/SHA1.3ssl
 $(OUTDIR)man/%.html : $(OUTDIR)man/%
@@ -87,7 +83,3 @@
 $(BLDDIR)test/%$(OBJ) : $(TSTDIR)%.cpp
 	@mkdir -p $(dir $@)
 	$(CXX) $(CXXAR) $(INCAR) -I$(SRCDIR) $(VERAR) -c -o$@ $^
-
-$(BLDDIR)fmt/obj/%$(OBJ) : ext/fmt/src/%.cc
-	@mkdir -p $(dir $@)
-	$(CXX) $(CXXAR) -Iext/fmt/include -c -o$@ $^
