=== debian/changelog ===
klapki (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
  * Update upstream changeog

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 12 Jun 2023 18:48:13 +0200
