## klapki 0.3.0

=== debian/changelog ===
klapki (0.3.0-1) unstable; urgency=medium

  [ наб ]
  * postinst.d: fully quote all paths
  * d/postinst: printf with \0 | xargs -> just set -- ... and $@

  [ Cicada ]
  * d/po: add fr.po

  [ наб ]
  * Add d/u/signing-key.asc and pgpsigurlmangle to d/watch
  * New upstream version 0.3.0 (+ changelog & NEWS)
    => install locale and bash-completion
  * d/patches: remove, not needed
  * d/copyright: update for new upstream
  * Consider the new upstream /etc/klapki/{host,efi-root} configs in hooks
  * d/u/metadata: add

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 05 Dec 2023 20:49:58 +0100
