=== debian/changelog ===
klapki (0.3.1-1~bpo11+1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 07 Dec 2023 16:30:43 +0100

klapki (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1 (+ changelog & NEWS)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 07 Dec 2023 15:52:17 +0100
