=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/klapki-$1\.tar\.gz/, pgpsigurlmangle=s:$:.asc:" \
  https://git.sr.ht/~nabijaczleweli/klapki/refs .*/v?(\d\S+)\.tar\.gz
