## klapki 0.3.2

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SOURCE_DATE_EPOCH ?= $(shell git log -1 --no-show-signature --format=%at man/klapki.8)
 KLAPKI_DATE ?= $(shell LC_ALL=C date -d@$(SOURCE_DATE_EPOCH) '+%B %e, %Y')
 MANDOC ?= mandoc
-PKGCONF ?= pkgconf
+PKG_CONFIG ?= pkgconf
 NOLOCREGEN ?=
 
 # Set these to "{}" to compile-time-validate libfmt format strings (on CI)
@@ -18,8 +18,8 @@
 BLDDIR := out/build/
 
 CXXFLAGS += -O3 -g -std=c++20 -Wall -Wextra -pipe -fPIC -fno-rtti
-CPPFLAGS += -MD $(shell $(PKGCONF) --cflags efivar efiboot fmt libmd zlib 2>/dev/null) -DKLAPKI_VERSION='$(KLAPKI_VERSION)' -D'fgettext(str)=$(subst {},str,$(FGETTEXT))' -D'fngettext(sing, plur, cnt)=$(subst {},sing,$(FNGETTEXT))'
-LDLIBS   += $(shell for l in efivar efiboot fmt libmd; do $(PKGCONF) --libs $$l 2>/dev/null || echo -l$${l#lib}; done) $(shell $(PKGCONF) --libs zlib 2>/dev/null || echo -DKLAPKI_NO_ZLIB)
+CPPFLAGS += -MD $(shell $(PKG_CONFIG) --cflags efivar efiboot fmt libmd zlib 2>/dev/null) -DKLAPKI_VERSION='$(KLAPKI_VERSION)' -D'fgettext(str)=$(subst {},str,$(FGETTEXT))' -D'fngettext(sing, plur, cnt)=$(subst {},sing,$(FNGETTEXT))'
+LDLIBS   += $(shell for l in efivar efiboot fmt libmd; do $(PKG_CONFIG) --libs $$l 2>/dev/null || echo -l$${l#lib}; done) $(shell $(PKG_CONFIG) --libs zlib 2>/dev/null || echo -DKLAPKI_NO_ZLIB)
 
 SOURCES := $(sort $(wildcard src/*.cpp))
 TEST_SOURCES := $(sort $(wildcard test/*.cpp))
