=== debian/changelog ===
klapki (0.3.2-1) unstable; urgency=medium

  * Forward dpkg-buildpackage's -j to make
  * New upstream version 0.3.2 (+ changelog & NEWS)
  * Replace ucf for /etc/klapki/description with normal conffile mechanism

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 11 Aug 2024 13:35:19 +0200
