=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,5 @@
 	cp debian/NEWS.upstream debian/klapki/usr/share/doc/klapki/NEWS
 
 
-override_dh_ucf:
-	dh_ucf -A
-	sed -i 's/\tucf /\tucf --debconf-ok /' $(foreach l,inst rm,debian/klapki.post$(l).debhelper)
-
 %:
 	dh $@
